<?php

namespace App\Filament\Pages;

use App\Settings\ExposerSettings;
use Filament\Forms;
use Filament\Forms\Form;
use Filament\Pages\SettingsPage;
use Filament\Forms\Components\TextInput;

use App\Services\EtcdService;
use App\Settings\DataSourceSettings;
use Filament\Forms\Components\Select;
use Filament\Forms\Components\Toggle;
use Filament\Forms\Components\Textarea;
use Filament\Forms\Components\Fieldset;

class ManageExposer extends SettingsPage
{
    protected static ?string $navigationIcon = 'heroicon-o-cog-6-tooth';

    protected static string $settings = ExposerSettings::class;

    public function form(Form $form): Form
    {
        return $form
            ->schema([
                Fieldset::make()
                    ->schema([
                        Textarea::make('exposer_bind')
                            ->label('OPC UA Endpoint')
                            ->required(),
                        TextInput::make('exposer_auth')
                            ->label('OPC UA Endpoint')
                            ->required(),
                    ]),

            ]);
    }
}
